### Hierarchy

- JsonFormsControl
  - MasterDetailComponent

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- data
- detailNav
- disabled
- error
- form
- getEventValue
- label
- masterDetailService
- masterItems
- masterNav
- ngRedux
- parentNav
- path
- platform
- schema
- scopedSchema
- subscription
- uischema
- validator

### Methods

- getOwnProps
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- onSplitPaneChange

## Constructors

### constructor

- new MasterDetailComponent(parentNav: Nav, platform: Platform, ngRedux: NgRedux<JsonFormsState>, masterDetailService: MasterDetailNavService): MasterDetailComponent

- Overrides JsonFormsControl.__constructor

  - Defined in other/master-detail/master-detail.ts:44

  #### Parameters

  - ##### parentNav: Nav

  - ##### platform: Platform

  - ##### ngRedux: NgRedux<JsonFormsState>

  - ##### masterDetailService: MasterDetailNavService

  #### Returns MasterDetailComponent

## Properties

### data

data: any

Inherited from JsonFormsControl.data

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:11

### detailNav

detailNav: Nav

- Defined in other/master-detail/master-detail.ts:43

### disabled

disabled: boolean

Inherited from JsonFormsControl.disabled

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:14

### error

error: string | null

Inherited from JsonFormsControl.error

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:13

### form

form: FormControl

Inherited from JsonFormsControl.form

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:9

### getEventValue

getEventValue: function

Inherited from JsonFormsControl.getEventValue

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:17

#### Type declaration

- - (event: any): any

  - #### Parameters

    - ##### event: any

    #### Returns any

### label

label: string

Inherited from JsonFormsControl.label

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:12

### Private masterDetailService

masterDetailService: MasterDetailNavService

- Defined in other/master-detail/master-detail.ts:50

### masterItems

masterItems: MasterItem[]

- Defined in other/master-detail/master-detail.ts:44

### masterNav

masterNav: Nav

- Defined in other/master-detail/master-detail.ts:42

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsControl.ngRedux

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:8

### Private parentNav

parentNav: Nav

- Defined in other/master-detail/master-detail.ts:47

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### Private platform

platform: Platform

- Defined in other/master-detail/master-detail.ts:48

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsControl.scopedSchema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:15

### subscription

subscription: Subscription

Inherited from JsonFormsControl.subscription

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:10

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsControl.validator

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:20

## Methods

### Protected getOwnProps

- getOwnProps(): object

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns object

  - ##### path: string

  - ##### schema: JsonSchema

  - ##### uischema: UISchemaElement

### mapAdditionalProps

- mapAdditionalProps(props: ControlProps): void

- Inherited from JsonFormsControl.mapAdditionalProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:21

  #### Parameters

  - ##### props: ControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ControlProps

- Inherited from JsonFormsControl.mapToProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:23

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsControl.ngOnDestroy

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:22

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Overrides JsonFormsControl.ngOnInit

  - Defined in other/master-detail/master-detail.ts:55

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsControl.onChange

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/control.d.ts:18

  #### Parameters

  - ##### ev: any

  #### Returns void

### onSplitPaneChange

- onSplitPaneChange(event: any): void

- - Defined in other/master-detail/master-detail.ts:106

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc